Index: resTools_backend/backend/Controllers/ReservationsController.cs
===================================================================
--- resTools_backend/backend/Controllers/ReservationsController.cs	(revision 7a983b0054a13b5462a3e4a09e6fe5bf350d0949)
+++ resTools_backend/backend/Controllers/ReservationsController.cs	(revision d76b7ee9036d8c2315eb8ce0de42c77ae3e87822)
@@ -20,4 +20,11 @@
     }
 
+    [Authorize]
+    [HttpGet()]
+    public async Task<List<ReservationResponse>> GetReservations([FromQuery] DateTime from, [FromQuery] DateTime to)
+    {
+        return await _reservationService.GetReservatins(from, to);
+    }
+
     [HttpPost()]
     public async Task<IActionResult> CreateReservation([FromBody] CreateReservationRequest req)
Index: resTools_backend/backend/Controllers/UsersController.cs
===================================================================
--- resTools_backend/backend/Controllers/UsersController.cs	(revision 7a983b0054a13b5462a3e4a09e6fe5bf350d0949)
+++ resTools_backend/backend/Controllers/UsersController.cs	(revision d76b7ee9036d8c2315eb8ce0de42c77ae3e87822)
@@ -2,4 +2,5 @@
 
 using backend.DTOs;
+using backend.Entities;
 using backend.Helpers;
 using backend.Models;
@@ -29,4 +30,16 @@
     }
 
+    [HttpGet("authed")]
+    public async Task<AuthenticateResponse> IsAuthed()
+    {
+        int userId = 0;
+        try
+        {
+            userId = (int)this.HttpContext.Items["User"];
+        }catch (Exception ex){ return null; }
+        User user = await _userService.GetById(userId);
+        return new AuthenticateResponse() { Email=user.Email, Id = user.Id};
+    }
+
     [HttpPost("register")]
     public async Task<AuthenticateResponse> Register(CreateUserRequest req)
Index: resTools_backend/backend/DTOs/RestaurantResponse.cs
===================================================================
--- resTools_backend/backend/DTOs/RestaurantResponse.cs	(revision 7a983b0054a13b5462a3e4a09e6fe5bf350d0949)
+++ resTools_backend/backend/DTOs/RestaurantResponse.cs	(revision d76b7ee9036d8c2315eb8ce0de42c77ae3e87822)
@@ -10,6 +10,4 @@
         public int? OwnerId { get; set; }
         [JsonProperty]
-        public List<ReservationResponse> Reservations { get; set; }
-        [JsonProperty]
         public string Name { get; set; }
     }
Index: resTools_backend/backend/Services/ReservationService.cs
===================================================================
--- resTools_backend/backend/Services/ReservationService.cs	(revision 7a983b0054a13b5462a3e4a09e6fe5bf350d0949)
+++ resTools_backend/backend/Services/ReservationService.cs	(revision d76b7ee9036d8c2315eb8ce0de42c77ae3e87822)
@@ -10,4 +10,5 @@
         public Task CreateReservation(CreateReservationRequest req);
         public Task ChangeReservationStatus(int resId, ReservationStatus status);
+        public Task<List<ReservationResponse>> GetReservatins(DateTime from, DateTime to);
     }
     public class ReservationService : IReservationService
@@ -48,4 +49,24 @@
             await _context.SaveChangesAsync();
         }
+
+        public async Task<List<ReservationResponse>> GetReservatins(DateTime from, DateTime to)
+        {
+            Restaurant res = await _context.Restoraunts
+                .Include(x => x.Reservations
+                    .Where(x => x.StartDate.CompareTo(from)>0 && x.StartDate.CompareTo(to)<=0))
+                .FirstOrDefaultAsync();
+            var reservations = res.Reservations.Select(t => new ReservationResponse()
+            {
+                ContactName = t.ContactName,
+                ContactNumber = t.ContactNumber,
+                Persons = t.Persons,
+                StartDate = t.StartDate,
+                ReservationStatus = t.ReservationStatus,
+                Id = t.Id,
+                ReservationPlace = t.ReservationPlace,
+                ReservationType = t.ReservationType
+            }).OrderByDescending(x => x.ReservationStatus == ReservationStatus.New).ToList();
+            return reservations;
+        }
     }
 }
Index: resTools_backend/backend/Services/RestaurantService.cs
===================================================================
--- resTools_backend/backend/Services/RestaurantService.cs	(revision 7a983b0054a13b5462a3e4a09e6fe5bf350d0949)
+++ resTools_backend/backend/Services/RestaurantService.cs	(revision d76b7ee9036d8c2315eb8ce0de42c77ae3e87822)
@@ -30,5 +30,4 @@
         {
             RestaurantResponse res = await _context.Restoraunts
-                .Include(x => x.Reservations)
                 .Select(x => new RestaurantResponse()
                 {
@@ -36,15 +35,4 @@
                     Name = x.Name,
                     OwnerId = x.OwnerFk,
-                    Reservations = x.Reservations.Select(t => new ReservationResponse()
-                    {
-                        ContactName = t.ContactName,
-                        ContactNumber = t.ContactNumber,
-                        Persons = t.Persons,
-                        StartDate = t.StartDate,
-                        ReservationStatus = t.ReservationStatus,
-                        Id = t.Id,
-                        ReservationPlace = t.ReservationPlace,
-                        ReservationType = t.ReservationType
-                    }).ToList()
                 })
                 .FirstOrDefaultAsync();
